@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&disp');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    display: flex;
     height: 100%; 
    background: linear-gradient(135deg, #aed5f0, #5986b6);
}

.container {
    max-width: 1200px;
    width: 100%;
    background: #fff;
    padding: 10px 30px 0 30px;
    border-radius: 5px;
    height: fit-content;
    margin:0.3em auto;
}

.container .title {
    font-size: 1.8rem;
    font-weight: 500;
    position: relative;
}

.container .title::before {

    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 40px;
    background: linear-gradient(135deg, #aed5f0, #5986b6);
}

.container form .user-details {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 20px 0 12px 0;
}

form .user-details .input-box {
    margin-bottom: 15px;
    width: calc(100% / 2 - 20px);
}

.user-details .input-box .details {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
    font-size: 1.1rem;
}

.user-details .input-box input {
    height: 45px;
    width: 100%;
    outline: none;
    border-radius: 5px;
    border: 1px solid #ccc;
    padding-left: 15px;
    font-size: 16px;
    border-bottom-width: 2px;
    transition: all 0.3s ease;
    color: #000;
}

.user-details .input-box input:focus,
.user-details .input-box input:valid {
    border-color: #71b7e6;
}



/* for selector -- */
.container .input-box #branchs,
.container .input-box #organization,
.container .input-box #internship,
.container .input-box #project,
.container .input-box #technologies,
.container .input-box #gender{
    padding: 0.5rem 1rem;
    font-size: 1.1rem;
    border-radius: 5px;
    border: 1px solid #ccc;
    border-bottom-width: 2px;
    width: 100%;
    background-color: #fff;
}

.container .input-box #branchs option {
    font-size: 1.3rem;
}
form .text-area 
{
    width: calc(100% /1 - 8px);

}
form .text-area textarea {
    height: 115px;
    outline: none;
    border-radius: 5px;
    border: 1px solid #ccc;
    padding: 10px 0 0 15px;
    font-size: 16px;
    border-bottom-width: 2px;
    transition: all 0.3s ease;
    color: #000;
    font-family: arial;
    resize: none;
    margin: 0 1em;
    width: 100%;
}

form .text-area textarea:focus,
form .text-area textarea:valid {
    border-color: #71b7e6;
    width: 100%;
    border-radius: 5px;
    border-bottom-width: 2px;
}
.user-details .text-area .details {
    display: block;
    font-weight: bold;
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 1.1rem;
    margin-left: 15px;
}

.user-details .input-box #branchs:focus,
.user-details .input-box #branchs:valid,
.user-details .input-box #gender:focus,
.user-details .input-box #gender:valid,
.user-details .input-box #organization:focus,
.user-details .input-box #organization:valid,
.user-details .input-box #internship:focus,
.user-details .input-box #internship:valid
{
    border-color: #71b7e6;
}

.text-area {
    margin: -14px !important;
    width: 106%;
}

form .button {
    height: 45px;
    margin: 25px 0 20px 0;
}

form .button input {
    height: 100%;
    width: 100%;
    outline: none;
    color: #fff;
    border: none;
    font-size: 25px;
    font-weight: 500;
    text-transform: uppercase;
    border-radius: 5px;
    /* letter-spacing: 1px; */
    background: linear-gradient(135deg, #aed5f0, #5986b6);
}

form .button input:hover {
    background: linear-gradient(135deg, #aed5f0, #5986b6);
    cursor: pointer;
}


/*-------------------- */
#project-oriented,
#technology-oriented,
#Other-branch,
#Other-organization
{
  display: none;
}

@media (max-width:600px) {
    .container {
        max-width: 100%;
        margin:1em;
    }

    .container .title {
        font-size: 1.4rem;
    }

    form .user-details .input-box {
        margin-bottom: 15px;
        width: 100%;
    }

    form .gender-details .category {
        width: 100%;
    }

    .container form .user-details {
        max-height: 400px;
        overflow-y: scroll;
        overflow-x: hidden;
    }
    form .text-area textarea
    {
        margin-bottom: 1em;
    }

 

    .user-details::-webkit-scrollbar {
        width: 0;
    }

}
/* @media (max-width: 600px) and (min-width:600px){
    form .text-area textarea:focus,
    form .text-area textarea:valid {
        border-color: #71b7e6;
        border-radius: 5px;
        border-bottom-width: 2px;
    }
} */